/*
 * Copyright 2018 Okta, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.okta.authn.sdk.its.util

import java.time.Duration
import java.time.Instant
import java.util.concurrent.TimeUnit

class StopWatch {

    static long timeEventInSeconds(clos, TimeUnit timeUnit = TimeUnit.SECONDS) {
        def beginTime = Instant.now()
        def endTime
        try {
            clos.call()
        } finally {
            endTime = Instant.now()
        }
        return timeUnit.convert(Duration.between(beginTime, endTime).toMillis(), TimeUnit.MILLISECONDS)
    }
}